

#include <time.h>
#include "misc.h"
#include "regtypes.h"


DOUBLE_WORD convert_unix_time(time_t t)
{
	struct tm  *the_time;
	WORD low_order;
	WORD high_order;	


	the_time = localtime(&t);

	high_order = the_time->tm_mday + ((the_time->tm_mon + 1) << 5);
        high_order += (the_time->tm_year - 80) << 9;
        low_order = the_time->tm_sec/2;
        low_order += (the_time->tm_min) << 5;
        low_order += (the_time->tm_hour) << 11; 

	return (DOUBLE_WORD) low_order + (DOUBLE_WORD) (high_order << 16);
}
	 
