
/* Magic for the emulator -- using these calls, dos programs can get to
 * unix if they run on the emulator
 */

#ifndef unix
typedef struct {
	unsigned AX;
	unsigned BX;
	unsigned CX;
	unsigned DX;
	int SI;
        int DI;
        int DS;
        int ES;
} REGS;
#define TEST_CARRY(x)		(x & 0x1)
#endif

/* the interrupt to perform this magic */
#define MAGIC_INTERRUPT		0xa0

/* AX = 1, DS:DX=null terminated command line passed to system */
#define SYSTEM	1


